Package org.apache.sysds.hops.rewrite

## Class ProgramRewriteStatus

- java.lang.Object
- - org.apache.sysds.hops.rewrite.ProgramRewriteStatus

    public class ProgramRewriteStatus
    extends Object

### Constructor Summary

Constructors
`ProgramRewriteStatus()`
`ProgramRewriteStatus​(LocalVariableMap vars)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getBlocksize()`
`boolean` `getInjectedCheckpoints()`
`boolean` `getRemovedBranches()`
`LocalVariableMap` `getVariables()`
`boolean` `isInParforContext()`
`void` `setBlocksize​(int blkSize)`
`void` `setInjectedCheckpoints()`
`void` `setInParforContext​(boolean flag)`
`void` `setRemovedBranches()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProgramRewriteStatus

    public ProgramRewriteStatus()

#### ProgramRewriteStatus

    public ProgramRewriteStatus​(LocalVariableMap vars)

### Method Detail

#### setRemovedBranches

    public void setRemovedBranches()

#### getRemovedBranches

    public boolean getRemovedBranches()

#### setInParforContext

    public void setInParforContext​(boolean flag)

#### isInParforContext

    public boolean isInParforContext()

#### setBlocksize

    public void setBlocksize​(int blkSize)

#### getBlocksize

    public int getBlocksize()

#### setInjectedCheckpoints

    public void setInjectedCheckpoints()

#### getInjectedCheckpoints

    public boolean getInjectedCheckpoints()

#### getVariables

    public LocalVariableMap getVariables()